%define major     1
%define libname   %mklibname bz2_ %{major}
%define develname %mklibname bz2 -d

%define buildpdf 0

Summary:	Extremely powerful file compression utility
Name:		bzip2
Version:	1.0.8
Release:	%mkrel 7
License:	BSD
Group:		Archiving/Compression
URL:		http://www.bzip.org/
Source0:	https://sourceware.org/pub/bzip2/%{name}-%{version}.tar.gz
Source1:	bzgrep
Source2:	bzme
Source3:	bzme.1
Source4:	bzip2.pc
Patch0:		bzip2-1.0.8-makefile.patch
Patch1:		0001-bzgrep_use_grep-E_-F_instead-of-egrep-and-fgrep.patch
Requires:	mktemp
Requires:	%{libname} = %{version}-%{release}
%if 0%{?buildpdf}
BuildRequires:	tetex-dvips
BuildRequires:	tetex-latex
%endif
BuildRequires:	texinfo
BuildRequires:	libtool


%description
Bzip2 compresses files using the Burrows-Wheeler block-sorting text
compression algorithm, and Huffman coding. Compression is generally
considerably better than that achieved by more conventional LZ77/LZ78-based
compressors, and approaches the performance of the PPM family of statistical
compressors.

The command-line options are deliberately very similar to those of GNU Gzip,
but they are not identical.

%package -n %{libname}
Summary:	Libraries for developing apps which will use bzip2
Group:		System/Libraries
Obsoletes:	%{mklibname bzip2_ 1} < 1.0.6-11

%description -n	%{libname}
Library of bzip2 functions, for developing apps which will use the
bzip2 library (aka libz2).

%package -n %{develname}
Summary:	Header files for developing apps which will use bzip2
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname bzip2 -d} < 1.0.6-11
Provides:	%{mklibname bzip2 -d} = %{version}-%{release}

%description -n	%{develname}
Header files and static library of bzip2 functions, for developing apps which
will use the bzip2 library (aka libz2).

%prep
%autosetup -p1

echo "lib = %{_lib}" >> config.in
echo "CFLAGS = %{optflags}" >> config.in
echo "LDFLAGS = %{ldflags}" >> config.in

cp %{SOURCE2} bzme
cp %{SOURCE3} bzme.1

cp -a %{SOURCE4} bzip2.pc
sed -i "s|^libdir=|libdir=%{_libdir}|" bzip2.pc
sed -i "s|@VERSION@|%{version}|" bzip2.pc

%build
%make_build -f Makefile-libbz2_so
%make_build

%if 0%{?buildpdf}
texi2dvi --pdf manual.texi
%endif

%install
%make_install

install -m0755 bzme %{buildroot}%{_bindir}/
install -m0755 bzgrep %{buildroot}%{_bindir}/
install -m0644 bzgrep.1 %{buildroot}%{_mandir}/man1/

mkdir -p %{buildroot}%{_libdir}/pkgconfig
install -m0644 bzip2.pc %{buildroot}%{_libdir}/pkgconfig

cat > %{buildroot}%{_bindir}/bzless <<EOF
#!/bin/sh
%{_bindir}/bunzip2 -c "\$@" | %{_bindir}/less
EOF
chmod 755 %{buildroot}%{_bindir}/bzless
install -m 644 %{SOURCE3} %{buildroot}%{_mandir}/man1/

%files
%doc README CHANGES
%license LICENSE
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%license LICENSE
%{_libdir}/libbz2.so.%{major}{,.*}

%files -n %{develname}
%doc *.html
%license LICENSE
%if 0%{?buildpdf}
%doc manual.pdf
%endif
%{_libdir}/libbz2.a
%{_libdir}/libbz2.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.0.8-7.mga10
+ Revision: 2221921
- Mageia 10 Mass Rebuild

* Fri Apr 05 2024 wally <wally> 1.0.8-6.mga10
+ Revision: 2054589
- basesystem rebuild for i686

* Wed May 03 2023 daviddavid <daviddavid> 1.0.8-5.mga9
+ Revision: 1955724
- add/rebase upstream patch to use `grep -E/-F` instead of `egrep` and `fgrep` for bzgrep
  * https://gitlab.com/bzip2/bzip2/-/commit/1ea1ac188ad4b9cb662e3f8314673c63df95a589
- switch to upstream bzgrep

* Sun Feb 12 2023 ghibo <ghibo> 1.0.8-4.mga9
+ Revision: 1941105
- Rebuild for aging

* Thu Mar 17 2022 umeabot <umeabot> 1.0.8-3.mga9
+ Revision: 1797382
- Mageia 9 Mass Rebuild

* Tue Mar 24 2020 umeabot <umeabot> 1.0.8-2.mga8
+ Revision: 1559452
- Mageia 8 Mass Rebuild

* Wed Jul 17 2019 daviddavid <daviddavid> 1.0.8-1.mga8
+ Revision: 1421993
- new version: 1.0.8, fixes CVE-2016-3189 and CVE-2019-12900 (mga#24900)

* Thu Jun 13 2019 wally <wally> 1.0.6-13.mga7
+ Revision: 1399924
- add libbz2.so.1.0 symlink (mga#24934)

* Sat Sep 22 2018 umeabot <umeabot> 1.0.6-12.mga7
+ Revision: 1295755
- Mageia 7 Mass Rebuild

* Thu Jan 04 2018 ngompa <ngompa> 1.0.6-11.mga7
+ Revision: 1190172
- Rename lib/devel packages to match actual library name
- Add pkgconfig file (used in RH/Fedora and SUSE distributions)
- Small spec modernizations

* Thu Nov 24 2016 neoclust <neoclust> 1.0.6-10.mga6
+ Revision: 1069678
- Add P1: Fix CVE-2016-3189 ( mga#18742)

* Thu Feb 11 2016 umeabot <umeabot> 1.0.6-9.mga6
+ Revision: 953550
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 1.0.6-8.mga6
+ Revision: 867414
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 1.0.6-7.mga5
+ Revision: 747485
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1.0.6-6.mga5
+ Revision: 693538
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.0.6-5.mga5
+ Revision: 678264
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.6-4.mga4
+ Revision: 503183
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0.6-3.mga3
+ Revision: 347268
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 rtp <rtp> 1.0.6-2.mga3
+ Revision: 302663
- Fix build

* Sat Feb 26 2011 eandry <eandry> 1.0.6-1.mga2
+ Revision: 60924
- fix patch name
- New version 1.0.6
- update bzme (I followed mdv spec file)

* Sat Jan 08 2011 blino <blino> 1.0.5-8.mga1
+ Revision: 761
- remove old ldconfig scriptlets
+ pterjan <pterjan>
- imported package bzip2
- imported package bzip2


* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-7mdv2010.1
+ Revision: 518988
- rebuild

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-6mdv2010.0
+ Revision: 413193
- rebuild

* Sat Jan 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.5-5mdv2009.1
+ Revision: 328087
- merge both patches into one
- make sure that -D_FILE_OFFSET_BITS=64 is always passed during compilation (mdvbz #46851)

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-4mdv2009.1
+ Revision: 316557
- use -fPIC
- really use %%{optflags} and %%{ldflags}

* Sun Jul 06 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.5-3mdv2009.0
+ Revision: 232090
- new library policy
- protect major
- spec file clean

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1.0.5-2mdv2009.0
+ Revision: 220495
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Mar 21 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.0.5-1mdv2008.1
+ Revision: 189334
- new version, 1.0.5, fixes a security hole

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1.0.4-3mdv2008.1
+ Revision: 149066
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 16 2007 Thierry Vignaud <tv@mandriva.org> 1.0.4-2mdv2008.0
+ Revision: 64221
- rebuild


* Fri Jan 05 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-1mdv2007.0
+ Revision: 104592
- 1.0.4
- rediffed the makefile patch (now P0)
- nuked upstream fixes for CAN-2005-0953, CAN-2005-0758 and other sec holes
- rebuild
- Import bzip2

* Sun Jul 30 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-6mdk
- sync with fedora (1.0.3-2.2.1)
- dropped the progress patch (P2) because it don't work with 
  large files, fixes #22262

* Sat May 13 2006 Stefan van der Eijk <stefan@eijk.nu> 1.0.3-5mdk
- rebuild for sparc

* Tue Jan 31 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-4mdk
- merge with the 1.0.3-1.2.20060mdk relese (CVE-2005-0953,CVE-2005-0758)

* Sat Jan 07 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0.3-3mdk
- add BuildRequires: libtool

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.0.3-2mdk
- Rebuild

* Wed Jun 08 2005 Götz Waschk <waschk@mandriva.org> 1.0.3-1mdk
- update patch 1
- fix URLs
- new version

* Fri Feb 11 2005 Olivier Blin <oblin@mandrakesoft.com> 1.0.2-20mdk
- bzme: allow to force compression with -F option
  (#11183, patch from Michael Scherer)
- fix summary ended with dot

* Fri Sep 17 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.2-19mdk
- ship with bzdiff, bzmore
- automake build is evil here for a so small project

* Tue Apr 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-18mdk
- fix url

